package com.srs.comprehensive.service;

import java.util.List;

import com.srs.comprehensive.domain.SrsAddRecord;
import com.srs.comprehensive.domain.Vo.CphRecord;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author srs
 * @date 2023-06-20
 */
public interface ISrsAddRecordService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsAddRecord selectSrsAddRecordById(Long id);

    public List<CphRecord> listOwnRecord(String stuNo);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param srsAddRecord 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SrsAddRecord> selectSrsAddRecordList(SrsAddRecord srsAddRecord);

    /**
     * 新增【请填写功能名称】
     * 
     * @param srsAddRecord 【请填写功能名称】
     * @return 结果
     */
    public int insertSrsAddRecord(SrsAddRecord srsAddRecord);

    /**
     * 修改【请填写功能名称】
     * 
     * @param srsAddRecord 【请填写功能名称】
     * @return 结果
     */
    public int updateSrsAddRecord(SrsAddRecord srsAddRecord);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteSrsAddRecordByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSrsAddRecordById(Long id);

    /**
     * 修改删除字段
     * @param id
     * @return 结果
     */
    int updateSrsAddRecordDelFlag(Long id);
}
